<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
VerificationException Class
Members See Also Send Feedback

Thrown by Verify(String, DatabaseConfig) if a database is corrupted, and by Salvage(String, DatabaseConfig) if all key/data pairs in the file may not have been successfully output.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public class VerificationException : DatabaseException

Visual Basic (Declaration)

    Public Class VerificationException _
    	Inherits DatabaseException

Visual C++

    public ref class VerificationException : public DatabaseException

# Inheritance Hierarchy

System..::.Object
System..::.Exception
BerkeleyDB..::.DatabaseException
BerkeleyDB..::.VerificationException

# See Also

VerificationException Members
BerkeleyDB Namespace